OpenTTD Source: Data Fields - Variables

OpenTTD Source 12.0-beta1

### - r -

- r : Blitter_32bppSimple::Pixel , SpriteLoader::CommonPixel
- rail : CompanyInfrastructure
- rail_crossing_penalty : YAPFSettings
- rail_curve45_penalty : YAPFSettings
- rail_curve90_penalty : YAPFSettings
- rail_depot_reverse_penalty : YAPFSettings
- rail_doubleslip_penalty : YAPFSettings
- rail_ew : RailtypeInfo
- rail_firstred_exit_penalty : YAPFSettings
- rail_firstred_penalty : YAPFSettings
- rail_firstred_twoway_eol : YAPFSettings
- rail_lastred_exit_penalty : YAPFSettings
- rail_lastred_penalty : YAPFSettings
- rail_longer_platform_penalty : YAPFSettings
- rail_longer_platform_per_tile_penalty : YAPFSettings
- rail_look_ahead_max_signals : YAPFSettings
- rail_look_ahead_signal_p0 : YAPFSettings
- rail_look_ahead_signal_p1 : YAPFSettings
- rail_look_ahead_signal_p2 : YAPFSettings
- rail_ns : RailtypeInfo
- rail_nwse : RailtypeInfo
- rail_pbs_cross_penalty : YAPFSettings
- rail_pbs_signal_back_penalty : YAPFSettings
- rail_pbs_station_penalty : YAPFSettings
- rail_shorter_platform_penalty : YAPFSettings
- rail_shorter_platform_per_tile_penalty : YAPFSettings
- rail_slope_penalty : YAPFSettings
- rail_speed : TileDesc
- rail_station_penalty : YAPFSettings
- rail_swne : RailtypeInfo
- rail_type : ScriptStorage
- rail_use_yapf : YAPFSettings
- railtype : BuildRailToolbarWindow , BuildVehicleWindow , TileDesc
- railtype_list : GRFFile
- railtype_scope : RailTypeResolverObject
- railtypes : CompanyInfrastructureWindow
- random : Industry
- random_bits : BaseStation , IndustriesScopeResolver , Vehicle
- random_colour : HouseSpec , Industry
- random_deviation : ScriptConfigItem
- random_sounds : IndustrySpec
- ranges : UniscribeParagraphLayout
- rate : CurrencySpec
- rate_drawing : FramerateWindow
- rate_gameloop : FramerateWindow
- rating : GoodsEntry
- rating_lines : StationViewWindow
- ratings : Town
- raw_industry_construction : ConstructionSettings
- raw_strings : GameStrings
- rcon_password : NetworkSettings
- read : ReadBuffer
- read_bytes : PacketReader
- read_size : NICallback , NIProperty
- reader : ReadBuffer , SaveLoadParams
- readonly : TownScopeResolver
- real_filename : HeaderFileWriter
- realtime : MidiFile::DataBlock
- recalc_interval : LinkGraphSettings
- recalc_time : LinkGraphSettings
- receive_limit : ServerNetworkGameSocketHandler
- received : Town
- receivedTypes : NetworkContentDownloadStatusWindow
- rect : BaseStation
- recv_buffer : NetworkHTTPSocketHandler
- recv_length : NetworkHTTPSocketHandler
- recv_pos : NetworkHTTPSocketHandler
- redirect_depth : NetworkHTTPSocketHandler
- redraw_timer : AIDebugWindow
- redsq : TileHighlightData
- ref1 : NewsItem
- ref2 : NewsItem
- reference_count : FixedSizeArray< T, C >::ArrayHeader
- referenced_id : StoryPageElement
- refit_cap : Vehicle
- refit_capacities : LinkRefresher
- refit_cargo : Order
- refit_mask : PrepareRefitAction
- refittability : GRFTempEngineData
- refresh : SmallMapWindow
- refresh_rate : GUISettings
- reftype1 : NewsItem
- reftype2 : NewsItem
- relative_scope : VehicleResolverObject
- reliability : Engine , Vehicle
- reliability_final : Engine
- reliability_max : Engine
- reliability_spd_dec : Engine , Vehicle
- reliability_start : Engine
- reload_cfg : NetworkSettings
- remaining : LinkRefresher::RefitDesc , RefitDesc , Subsidy
- remap : Blitter::BlitterParams
- remap_program : OpenGLBackend
- remap_rgb_loc : OpenGLBackend
- remap_screen_loc : OpenGLBackend
- remap_sprite_loc : OpenGLBackend
- remap_zoom_loc : OpenGLBackend
- REMINDER_START : StatusBarWindow
- REMINDER_STOP : StatusBarWindow
- removal_cost : HouseSpec
- removal_cost_multiplier : IndustrySpec
- remove_rating_decrease : HouseSpec
- remove_time : ChatMessage
- rename_engine : BuildVehicleWindow
- renderdata : StationSpec
- renew_keep_length : CompanySettings
- replace_engines : ReplaceVehicleWindow
- replace_text : RailtypeInfo , RoadTypeInfo
- replace_when_old : EngineRenew
- req_size : TrueTypeFontCache
- requery_timer : NetworkGameWindow
- requested : ClientNetworkContentSocketHandler
- res : FindTrainOnTrackInfo
- res_okay : NPFFoundTargetData
- reseed : ResolverObject
- reserve_path : NPFFindStationOrTileData
- reserve_paths : PathfinderSettings
- reserved_count : StationCargoList
- reset_sel_engine : ReplaceVehicleWindow
- resize : Window
- resize_x : NWidgetBase
- resize_y : NWidgetBase
- resizebox_dimension : NWidgetLeaf
- resolve_thread : TCPConnecter
- resolved : NetworkAddress
- resort_timer : GUIList< T, F >
- restart_game_year : NetworkSettings
- result : DropDownListItem , NewGRFProfiler::Call
- result_seq : NewGRFSpriteLayout
- retire_early : EngineInfo
- retries : NetworkGameList
- returnpos : MpsMachine::Channel
- revalidate_before_draw : MutableSpriteCache
- reverse : FindDepotData
- reverse_at_signals : PathfinderSettings
- right : Kdtree< T, TxyFunc, CoordT, DistT >::node
- right_mouse_btn_emulation : GUISettings
- right_mouse_wnd_close : GUISettings
- RIGHT_OFFSET : NewGRFInspectWindow
- river_route_random : GameCreationSettings
- ro : ScopeResolver
- road : CompanyInfrastructure
- road_build_months : Town
- road_crossing_penalty : YAPFSettings
- road_curve_penalty : YAPFSettings
- road_nwse : RoadTypeInfo
- road_side : VehicleSettings
- road_slope_penalty : YAPFSettings
- road_speed : TileDesc
- road_stop_bay_occupied_penalty : YAPFSettings
- road_stop_occupied_penalty : YAPFSettings
- road_stop_on_competitor_road : ConstructionSettings
- road_stop_on_town_road : ConstructionSettings
- road_stop_penalty : YAPFSettings
- road_swne : RoadTypeInfo
- road_type : ScriptStorage
- road_use_yapf : YAPFSettings
- roadtype : BuildRoadToolbarWindow , BuildVehicleWindow , RoadVehicle , RoadVehicleInfo , TileDesc
- roadtype_list : GRFFile
- roadtype_scope : RoadTypeResolverObject
- roadtypes : CompanyInfrastructureWindow
- roadveh_acceleration_model : VehicleSettings
- roadveh_queue : PathfinderSettings
- roadveh_slope_steepness : VehicleSettings
- root : Kdtree< T, TxyFunc, CoordT, DistT >
- root_company : ScriptStorage
- root_sprite : NewGRFProfiler::Call
- root_spritegroup : ResolverObject
- rotation : Airport , AirportSpec , Ship
- rotation_x_pos : Ship
- rotation_y_pos : Ship
- route_profit : CargoPayment
- rti : BuildRoadToolbarWindow
- running : LinkGraphSchedule
- running_cost : RailVehicleInfo
- running_status : MpsMachine::Channel
- running_ticks : Vehicle
- runs : FallbackParagraphLayout , Layouter::LineCacheItem
- rv_max_speed : GRFTempEngineData